Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.rpc.ServiceException

All Implemented Interfaces:
  java.io.Serializable

public class ServiceException
extends java.lang.Exception

The `javax.xml.rpc.ServiceException` is thrown from the methods in the `javax.xml.rpc.Service` interface and `ServiceFactory` class.

Version:
  1.0
Author:
  Rahul Sharma
See Also:
  Serialized Form

Constructor Summary
`ServiceException()` Constructs a new exception with `null` as its detail message.
`ServiceException(java.lang.String message)` Constructs a new exception with the specified detail message.
`ServiceException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`ServiceException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

Method Summary
`java.lang.Throwable` | `getLinkedCause()` Gets the Linked cause

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    public ServiceException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized.

### ServiceException

    public ServiceException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized.

Parameters:
  `message` - The detail message which is later retrieved using the `getMessage` method

### ServiceException

    public ServiceException(java.lang.String message,
                            java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

Parameters:
  `message` - The detail message which is later retrieved using the `getMessage` method
  `cause` - The cause which is saved for the later retrieval throw by the `getCause` method

### ServiceException

    public ServiceException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - The cause which is saved for the later retrieval throw by the getCause method. (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getLinkedCause

    public java.lang.Throwable getLinkedCause()

  Gets the Linked cause

  Returns:
    The cause of this Exception or `null` if the cause is noexistent or unknown

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.